## zdt-daq Library

It is developed in the context of the coaxial prompt gamma-ray project https://ieeexplore.ieee.org/document/8770297 and is funded by Generalitat Valenciana under grant number CDEIGENT/2019/11.

### Prerequisites
- CLI11
- C++17
- GCC version >= 8
- ROOT

#### ROOT

-DROOT_DIR='/opt/root/'

Needs ROOT master as of 16.feb.2021, or v6.24

#### CLI11

To install CLI11, just clone the repo from https://github.com/CLIUtils/CLI11 and move it to /opt/.
If you prefer, you can move it to your home folder instead. But then, you need to specify in the 'cmake' command below:
-DCLI11_DIR='~/CLI11'

### Compilation

- cd zdt-daq
- mkdir build && cd build
- cmake ../
- make -j4

### Debugging

- gdb --args ../build/gui/runGUI --prbs 26 -q
