#ifndef UTILS_HPP
#define UTILS_HPP

#include <string>
#include <cstdint>

/**
 * @brief format a time in millisecons as Minutes : Seconds . Centiseconds
 * @param milli a time in milliseconds
 * @return a formatted string in MM:SS.CC
 * @see https://stackoverflow.com/a/50727438/7471760
 * @see https://stackoverflow.com/questions/60480907/how-to-convert-int-to-chrono-milliseconds
 */
std::string format_duration(const int64_t milli );

#endif // UTILS_HPP
